Skip to main content
`Ctrl`+`K`

# DMSetGlobalSection

Set the `PetscSection` encoding the global data layout for the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetGlobalSection(DM dm, PetscSection section)

## Input Parameters

- dm - The `DM`

- section - The PetscSection, or `NULL`

## Note

Any existing `PetscSection` will be destroyed

## See Also

DM Basics, `DM`, `DMGetGlobalSection()`, `DMSetLocalSection()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages